Bug 160492 - Failed to upgrade the kernel
Failed to upgrade the kernel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-15 09:56 EDT by Alexander Wurtz
Modified: 2015-01-04 17:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 02:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Wurtz 2005-06-15 09:56:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ru-RU; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
I'm trying to upgrade my FC3 dual cpu server to FC4 as it described at http://fedoraproject.org/wiki/YumUpgradeFaq. To avoid 'kernel requires kernel-utils (or vice-versa)' problem I did 

yum update kernel-smp
reboot

and I got:

mkrootdev: label / not found
mounting root filesystem
mount: error 19 mounting ext3
mount: erro2 mounting none
switching to newroot
switchroot: mount failed:22
umount /initrd/dev failed: 2

At this point, the server kernel panicked.

The old one (2.6.11-1.27_FC3) still boots correctly!




Version-Release number of selected component (if applicable):
kernel-smp-2.6.11-1.1369_FC4 kernel-smp-2.6.11-1.27_FC3

How reproducible:
Always

Steps to Reproduce:
1. yum update kernel-smp
2. reboot
  

Actual Results:  kernel panic

Expected Results:  server should reboot correctly.

Additional info:

[root@mercury ~]# more /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 10
cpu MHz         : 997.294
cache size      : 256 KB
physical id     : 0
siblings        : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse
bogomips        : 1961.98

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 10
cpu MHz         : 997.294
cache size      : 256 KB
physical id     : 0
siblings        : 1
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx fxsr sse
bogomips        : 1990.65

[root@mercury ~]# lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev c4)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP]
00:06.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
00:07.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 1a)
00:07.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 1a)
00:07.4 Bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 40)
00:0d.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
00:0e.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
00:10.0 SCSI storage controller: Adaptec AIC-7892A U160/m (rev 02)
[root@mercury ~]# more /proc/meminfo 
MemTotal:      1034684 kB
MemFree:        507824 kB
Buffers:         99924 kB
Cached:         199596 kB
SwapCached:          0 kB
Active:         289328 kB
Inactive:        74900 kB
HighTotal:      131072 kB
HighFree:          160 kB
LowTotal:       903612 kB
LowFree:        507664 kB
SwapTotal:      522104 kB
SwapFree:       522104 kB
Dirty:              60 kB
Writeback:           0 kB
Mapped:          73648 kB
Slab:           147976 kB
CommitLimit:   1039444 kB
Committed_AS:   745996 kB
PageTables:       5700 kB
VmallocTotal:   114680 kB
VmallocUsed:      2136 kB
VmallocChunk:   112184 kB
HugePages_Total:     0
HugePages_Free:      0
Hugepagesize:     2048 kB

Filesystem            Size  Used Avail Use% Mounted on
/dev/sda3              17G  5.5G   10G  36% /
/dev/sda1              99M  9.9M   84M  11% /boot
none                  506M     0  506M   0% /dev/shm
/dev/sdb1              17G   11G  5.9G  64% /sdb

The number of cylinders for this disk is set to 2231.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs
   (e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): p

Disk /dev/sda: 18.3 GB, 18351959040 bytes
255 heads, 63 sectors/track, 2231 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          13      104391   83  Linux
/dev/sda2              14          78      522112+  82  Linux swap
/dev/sda3              79        2231    17293972+  83  Linux
Comment 1 Dave Jones 2005-07-05 17:26:51 EDT
you have to have enough of the FC4 userspace present for this to work.
Specifically, you need the mkinitrd from FC4.
I've updated this requirement in the spec file for the next update kernel so
that yum updates might work better.


Note You need to log in before you can comment on or make changes to this bug.